Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> Raven's RavenNuke(tm) v2.02.02 Distro
Author Message
valdarez
Worker
Worker


Joined: Jan 22, 2007
Posts: 104

PostPosted: Sat Jan 27, 2007 8:14 am Reply with quote

I am currently running Nuke 7.5 with patch 3.2b, forums version 2.21, and Sentinel 2.5.0. Our website was hacked a couple of days ago, with the hackers corrupting our forums and the config for our Donations node. I have every upload, and all HTML turned off, so I'm not quite sure how they were able to get in.

I would like to upgrade to 2.02.02. I have not done any customizations, other than on the appearance (HTML), which I can make again in the new version and the only 'blocks' I am running is a ShoutCast, Dontaions, and a TeamSpeak Node.

Can anyone provide me with a proper upgrade path? The versions I should move to... can I simply download the 2.02.02 distribution and isntall it? Are there upgrade scripts I need to run?

Any direction or help in regards to the upgrade path would be greatly appreciated. Right now, I'm not quite sure 'where' to start, and my google abilities on the forums haven't yielded the information I need.
 
View user's profile Send private message
hitwalker
Sells PC To Pay For Divorce


Joined:
Posts: 5661

PostPosted: Sat Jan 27, 2007 9:39 am Reply with quote

hello,

the following topic deals with your situation.
read it carefully...
Only registered users can see links on this board! Get registered or login!

and read the install etc from the distro...

but.....within a few ???????????? days / weeks / etc..... the new ravennuke will be released...
you might wanna wait for that. Wink
 
View user's profile Send private message
fkelly
Former Moderator in Good Standing


Joined: Aug 30, 2005
Posts: 3312
Location: near Albany NY

PostPosted: Sat Jan 27, 2007 12:36 pm Reply with quote

If you want to preserve the data in your existing tables, then you can't simply install 2.02 (or 2.10 when that's available). You will need to either (a) modify your existing tables to be 100% consistent with the target distribution or (b) dump your data and restore it to a "virgin" set of tables you create by using the installation process. I prefer the (a) approach. There is a table upgrade script in the distribution. There are many threads on this and related topics here, as Hitwalker says.
 
View user's profile Send private message Visit poster's website
valdarez
PostPosted: Sat Jan 27, 2007 1:27 pm Reply with quote

We have been up for 2.5 years and have a ton of data, and close to 1000 users. I definitely want to preserve the data. In another thread regarding the release of the the 2.10 version, I was told to go ahead and upgrade to the 2.02 because it would be easier to upgrade to the 2.10 version from the 2.02.

Since I don't have any customizations, it sounds like I just need to use the scripts provided by the 2.02 release and get the latest updates for my shoutcast (start over there). I'll try it on a local today from scratch (migrating the DB and distribution) and if all goes well push up to the server this evening.

Please let me know if this is not a valid approach...
 
fkelly
PostPosted: Sat Jan 27, 2007 2:20 pm Reply with quote

It will be easier to upgrade to 2.10 from 2.02 but it is still an upgrade process to go thru. It is hard to give advise on something like that because it is really a matter of individual choice. 2.10 is pretty close, I think.

Yes, you do just have to use the scripts from 2.02. To avoid errors while running various aspects of the system you do need to assure that your tables are perfectly consistent with 2.02. I have used file comparison programs to compare dumps of the structures in the past and that's saved a lot of grief later on. But your approach seems generally valid. Good luck.
 
valdarez
PostPosted: Sat Jan 27, 2007 3:21 pm Reply with quote

One final question... are there any updates I need to apply after getting 2.02.02 installed? Or does it have all of the latest patches for the 7.6 version of nuke?
 
fkelly
PostPosted: Sat Jan 27, 2007 3:43 pm Reply with quote

Both the Forums and Sentinel versions that come with 2.02 are somewhat dated by this time. 2.10 will have the latest and greatest of both. Other than that I can't think of any updates you would want or need.
 
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> Raven's RavenNuke(tm) v2.02.02 Distro

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©